
//////////////////////////////////////////////////
//  SQLite Data Access Components
//  Copyright  2024 Devart. All right reserved.
//  LiteDAC About Window
//////////////////////////////////////////////////

{$I DacDemo.inc}
unit LiteDacAbout;

interface
uses
  SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
{$IFDEF MSWINDOWS}
  Windows, ShellApi,
  {$IFNDEF FPC}Jpeg, {$ENDIF}
{$ENDIF}
{$IFDEF FPC}
  LResources,
{$ENDIF}
  Buttons, ExtCtrls;
type
  TLiteDacAboutForm = class(TForm)
    OKBtn: TButton;
    Image1: TImage;
    Label1: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    lbMail: TLabel;
    lbWeb: TLabel;
    Label4: TLabel;
    Bevel1: TBevel;
    Label10: TLabel;
    lbForum: TLabel;
    procedure lbWebClick(Sender: TObject);
    procedure lbMailClick(Sender: TObject);
    procedure lbWebMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure lbMailMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure lbForumMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure lbForumClick(Sender: TObject);
  private
  public
  end;

var
  LiteDacAboutForm: TLiteDacAboutForm;

procedure ShowAbout;

implementation

{$IFNDEF FPC}
{$IFDEF CLR}
{$R *.nfm}
{$ELSE}
{$R *.dfm}
{$ENDIF}
{$ENDIF}

{$IFDEF FPC}
uses LCLIntf;
{$ENDIF}

procedure ShowAbout;
begin
  with TLiteDacAboutForm.Create(Application) do
  try
    ShowModal;
  finally
    Free;
  end;
end;

procedure TLiteDacAboutForm.lbWebClick(Sender: TObject);
begin
{$IFDEF FPC}
  OpenURL('https://www.devart.com/litedac');
{$ELSE}
{$IFDEF MSWINDOWS}
  ShellExecute(0, {$IFDEF FPC}PChar{$ENDIF}('open'), 'https://www.devart.com/litedac', '', '', SW_SHOW);
  lbWeb.Font.Color := $FF0000;
{$ENDIF}
{$ENDIF}
end;

procedure TLiteDacAboutForm.lbMailClick(Sender: TObject);
begin
{$IFDEF FPC}
  OpenURL('mailto:litedac@devart.com');
{$ELSE}
{$IFDEF MSWINDOWS}
  ShellExecute(0, {$IFDEF FPC}PChar{$ENDIF}('open'), 'mailto:litedac@devart.com', 'zxczxc', '', SW_SHOW);
  lbMail.Font.Color := $FF0000;
{$ENDIF}
{$ENDIF}
end;

procedure TLiteDacAboutForm.lbForumClick(Sender: TObject);
begin
{$IFDEF FPC}
  OpenURL('https://support.devart.com/portal/en/community/delphi-data-access-components/sqlite-data-access-components');
{$ELSE}
{$IFDEF MSWINDOWS}
  ShellExecute(0, {$IFDEF FPC}PChar{$ENDIF}('open'), 'https://support.devart.com/portal/en/community/delphi-data-access-components/sqlite-data-access-components', '', '', SW_SHOW);
  lbWeb.Font.Color := $FF0000;
{$ENDIF}
{$ENDIF}
end;

procedure TLiteDacAboutForm.lbWebMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  lbWeb.Font.Color := $4080FF;
end;

procedure TLiteDacAboutForm.lbMailMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  lbMail.Font.Color := $4080FF;
end;

procedure TLiteDacAboutForm.lbForumMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  lbForum.Font.Color := $4080FF;
end;

procedure TLiteDacAboutForm.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  lbWeb.Font.Color := $FF0000;
  lbMail.Font.Color := $FF0000;
  lbForum.Font.Color := $FF0000;
end;

{$IFDEF FPC}
initialization
  {$i LiteDacAbout.lrs}
{$ENDIF}

end.
