unit Dump;

interface

uses
{$IFDEF FPC}
  LResources,
{$ENDIF}
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Classes, SysUtils, Db, Graphics,
  Controls, Forms, Dialogs, Buttons, DBCtrls, ExtCtrls,
  Grids, DBGrids, StdCtrls, ToolWin, ComCtrls, LiteDACVcl,
  DemoFrame, DBAccess, LiteAccess, DADump, LiteDump;

type
  TDumpFrame = class(TDemoFrame)
    LiteDump: TLiteDump;
    meSQL: TMemo;
    Panel2: TPanel;
    Panel3: TPanel;
    btBackup: TSpeedButton;
    btBackupSQL: TSpeedButton;
    btRestore: TSpeedButton;
    Panel6: TPanel;
    edTbNames: TEdit;
    Label1: TLabel;
    Panel7: TPanel;
    Label2: TLabel;
    edQuery: TEdit;
    pnResult: TPanel;
    ProgressBar: TProgressBar;
    lbTableName: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Panel4: TPanel;
    cbCompleteInsert: TCheckBox;
    Panel5: TPanel;
    cbQuoteNames: TCheckBox;
    procedure btBackupClick(Sender: TObject);
    procedure btRestoreClick(Sender: TObject);
    procedure btBackupSQLClick(Sender: TObject);
    procedure LiteDumpRestoreProgress(Sender: TObject; Percent: Integer);
    procedure LiteDumpBackupProgress(Sender: TObject; TableName: String;
      ObjectNum, TableCount, Percent: Integer);
  private
    { Private declarations }
  public
    procedure SetOptions;

    // Demo management
    procedure Initialize; override;
  end;

var
  fmPgDumpDemo: TDumpFrame;

implementation

{$IFNDEF FPC}
{$IFDEF CLR}
{$R *.nfm}
{$ELSE}
{$R *.dfm}
{$ENDIF}
{$ENDIF}

uses
  LiteDacDemoForm;

procedure TDumpFrame.SetOptions;
begin
  LiteDump.TableNames := edTbNames.Text;
  LiteDump.Options.CompleteInsert := cbCompleteInsert.Checked;
  LiteDump.Options.QuoteNames := cbQuoteNames.Checked;
end;

procedure TDumpFrame.btBackupClick(Sender: TObject);
begin
  try
    SetOptions;
    LiteDump.SQL.Clear;
    LiteDump.Backup;
  finally
    ProgressBar.Position := 0;
    lbTableName.Caption := '';
    lbTableName.Parent.Repaint;
    meSQL.Lines.Assign(LiteDump.SQL);
  end;
end;

procedure TDumpFrame.btRestoreClick(Sender: TObject);
begin
  ProgressBar.Position := 0;
  lbTableName.Caption := '';
  lbTableName.Parent.Repaint;
  LiteDump.SQL.Assign(meSQL.Lines);
  try
    LiteDump.Restore;
  finally
    ProgressBar.Position := 0;
  end;
end;

procedure TDumpFrame.btBackupSQLClick(Sender: TObject);
begin
  try
    SetOptions;
    LiteDump.BackupQuery(edQuery.Text);
  finally
    ProgressBar.Position := 0;
    lbTableName.Caption := '';
    lbTableName.Parent.Repaint;
    meSQL.Lines.Assign(LiteDump.SQL);
  end;
end;

procedure TDumpFrame.LiteDumpRestoreProgress(Sender: TObject; Percent: Integer);
begin
  ProgressBar.Position := Percent;
end;

procedure TDumpFrame.LiteDumpBackupProgress(Sender: TObject;
  TableName: String; ObjectNum, TableCount, Percent: Integer);
begin
  if lbTableName.Caption <> TableName then begin
    lbTableName.Caption := TableName;
    pnResult.Repaint;
  end;
  ProgressBar.Position := Percent;
end;

// Demo management
procedure TDumpFrame.Initialize;
begin
  LiteDump.Connection := Connection as TLiteConnection;
end;

{$IFDEF FPC}
initialization
  {$i Dump.lrs}
{$ENDIF}
end.
