
//////////////////////////////////////////////////
//  SQLite Data Access Components
//  Copyright  2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}
{$I LiteDac.inc}

unit LiteSQLEditor;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, Buttons, DBCtrls,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  Db, DBAccess, LiteAccess, CREditor, DASQLComponentEditor, CRFrame, DASQLFrame;

type
  TLiteSQLEditorForm = class(TDASQLEditorForm)
  protected
    procedure DoInit; override;

  public
    property SQL;
  end;

implementation

{$IFNDEF FPC}
{$R LiteSQLEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  DAParamsFrame, DAMacrosFrame,
  LiteParamsFrame;

{ TLiteSQLEditorForm }

procedure TLiteSQLEditorForm.DoInit;
begin
  FSQLFrame := AddTab(TDASQLFrame, shSQL) as TDASQLFrame;
  FParamsFrame := AddTab(TLiteParamsFrame, shParameters) as TDAParamsFrame;
  FMacrosFrame := AddTab(TDAMacrosFrame, shMacros) as TDAMacrosFrame;

  try
    // to prevent FSPCallFrame assertion failure in the TDASQLEditorForm.OnInit
    inherited;
  except
  end;

  Modified := False;
  shGeneratorSPC.TabVisible := false;
end;

end.

